Bug 209982 - science/nifticlib: Please provide a shared version of the library or add -fPIC
Summary: science/nifticlib: Please provide a shared version of the library or add -fPIC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-02 21:10 UTC by Gert
Modified: 2017-01-06 02:42 UTC (History)
2 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments
Unified diff (3.65 KB, patch)
2016-08-28 16:19 UTC, Jason W. Bacon
jwb: maintainer-approval+
Details | Diff
Unified diff (3.80 KB, patch)
2016-12-28 13:38 UTC, Jason W. Bacon
jwb: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gert 2016-06-02 21:10:11 UTC
Hello, 

currently, nifticlib is only provided as a static library and not compiled with -fPIC on amd64. As a result it is not possible to link a shared library or a module against this lib. 

Please consider providing a shared library instead or adding the -fPIC compile flag. 

Many thanks, 
Gert
Comment 1 Jason W. Bacon freebsd_committer 2016-06-03 01:43:32 UTC
Try out the wip version at

https://github.com/outpaddling/freebsd-ports-wip

Cheers,

   JB
Comment 2 Gert 2016-06-03 10:16:36 UTC
Essentially I did exactly this locally, but thanks for the fast response. 

Best, 
Gert
Comment 3 Jason W. Bacon freebsd_committer 2016-08-28 16:19:15 UTC
Created attachment 174159 [details]
Unified diff

Patch adds -fPIC, LICENSE, and removes MAKE_JOBS_UNSAFE.

portlint: OK (no errors or warnings)
testport: OK (poudriere {9.3,10.1}+{i386,amd64}
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-12-28 11:53:40 UTC
Can you also bump PORTREVISION, since the static library is being changed by the addition of -fPIC?
Comment 5 Jason W. Bacon freebsd_committer 2016-12-28 13:38:56 UTC
Created attachment 178348 [details]
Unified diff

Added PORTREVISION.
Comment 6 commit-hook freebsd_committer 2016-12-28 14:55:38 UTC
A commit references this bug:

Author: rakuco
Date: Wed Dec 28 14:54:37 UTC 2016
New revision: 429778
URL: https://svnweb.freebsd.org/changeset/ports/429778

Log:
  Pass -fPIC when building the port's static libraries.

  This makes it possible to use those libraries with shared libraries on at least
  amd64.

  While here, set LICENSE and drop MAKE_JOBS_UNSAFE.

  PR:		209982
  Submitted by:	Jason Bacon <bacon4000@gmail.com> (maintainer)
  MFH:		2016Q4

Changes:
  head/science/nifticlib/Makefile
  head/science/nifticlib/files/patch-Makefile
  head/science/nifticlib/files/patch-examples-Makefile
  head/science/nifticlib/files/patch-utils-Makefile
Comment 7 Raphael Kubo da Costa freebsd_committer 2016-12-28 14:56:07 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2017-01-06 02:42:26 UTC
A commit references this bug:

Author: junovitch
Date: Fri Jan  6 02:41:49 UTC 2017
New revision: 430678
URL: https://svnweb.freebsd.org/changeset/ports/430678

Log:
  MFH: r429778

  Pass -fPIC when building the port's static libraries.

  This makes it possible to use those libraries with shared libraries on at least
  amd64.

  While here, set LICENSE and drop MAKE_JOBS_UNSAFE.

  PR:		209982
  Submitted by:	Jason Bacon <bacon4000@gmail.com> (maintainer)
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/science/nifticlib/Makefile
  branches/2016Q4/science/nifticlib/files/patch-Makefile
  branches/2016Q4/science/nifticlib/files/patch-examples-Makefile
  branches/2016Q4/science/nifticlib/files/patch-utils-Makefile